# DidwwUps::Connection class with overridden authorization_header method
module DidwwUps
  class Connection < ActiveResource::Connection


    # Adding Auth header
    # Example
    #   Token token=dGVzdC1wdWJsaWM0OmNlNTM0M2NiNTY1ZDM3ZmFiZjExZjhkODAzMTA4YmQwMTBkYzc2ZGE=, date=2012-12-03 14:55:57,type=v1
    def authorization_header(http_method, uri)
      {'Authorization' => 'Token token=' + DidwwUps.current_store.request_token(URI(uri).request_uri, http_method)}
    end

  end
end