# Routes: /api/rest/v1/logs/:type/tokens(.:format)
# Example
#   DidwwUps::ModulesPayment.all(:params=> {:module_name=>'Braintree'})
# #=> "[{"amount":"2054.0","created_at":"2014-03-13T14:04:06Z","id":134,"store_id":14,"success":false,"module_name":"Braintree","error":"Reversal amount does not match authorization amount"},{"amount":"42.0","created_at":"2014-03-13T14:01:08Z","id":133,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"16.0","created_at":"2014-03-13T13:56:29Z","id":132,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"91.0","created_at":"2014-03-13T13:27:56Z","id":131,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"10.0","created_at":"2014-03-13T13:24:07Z","id":130,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"10.0","created_at":"2014-03-13T13:21:38Z","id":129,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"10.0","created_at":"2014-03-13T13:15:26Z","id":128,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"10.0","created_at":"2014-03-13T13:13:34Z","id":127,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"10.0","created_at":"2014-03-13T13:09:32Z","id":126,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"50.0","created_at":"2014-03-13T12:57:57Z","id":125,"store_id":14,"success":true,"module_name":"Braintree","error":null}]"
#

module DidwwUps
  class ModulesPayment < DidwwUps::Base
    include DidwwUps::ModulesBase
    self.element_name = 'payment'

    def success
      !!attributes[:success]
    end

  end

end