# Routes: /api/rest/v1/logs/:type/tokens(.:format)
# Example
#    DidwwUps::ModulesRefund.all(params: {module_name: "Braintree", :order => "created_at_desc"})
# #=>"[{"amount":"34.91","created_at":"2013-12-17T14:09:14Z","id":31,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"12.0","created_at":"2013-12-13T15:07:28Z","id":29,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"10.0","created_at":"2013-12-07T09:07:28Z","id":28,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"23.0","created_at":"2013-12-05T17:05:03Z","id":27,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"50.0","created_at":"2013-12-05T12:40:11Z","id":26,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"31.21","created_at":"2013-12-05T10:09:17Z","id":25,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"12.0","created_at":"2013-12-05T09:53:53Z","id":24,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"12.0","created_at":"2013-12-05T09:27:31Z","id":23,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"34.0","created_at":"2013-11-18T13:55:28Z","id":15,"store_id":14,"success":true,"module_name":"Braintree","error":null},{"amount":"15.0","created_at":"2013-11-11T09:05:22Z","id":14,"store_id":14,"success":true,"module_name":"Braintree","error":null}]"
#

module DidwwUps
  class ModulesRefund < DidwwUps::Base
    include DidwwUps::ModulesBase
    self.element_name = 'refund'


    def success
      !!attributes[:success]
    end
  end
end