# DidwwUps::Collection class with ability to handle :total_count, :offset_value, :limit_value
module DidwwUps
  class Collection < ActiveResource::Collection

    attr_reader :total_count, :offset_value, :limit_value

    def resource_class=(rc)
      super rc
      response = rc.connection.http_response
      @total_count = response['X-Total-Count'].to_i
      @offset_value = response['X-Offset-Value'].to_i
      @limit_value = response['X-Limit-Value'].to_i
    end
  end


end