# DidwwUps::Base class base class for API resources
module DidwwUps
  module ModulesBase

    extend ActiveSupport::Concern

    included do
      self.prefix = "/api/rest/v1/logs/:module_name/"

      def module_name
        prefix_options[:module_name]
      end

      def duplicable?
        false
      end

      def created_at
        Time.parse(self[:created_at])
      end


    end


  end
end