require 'rails/generators'
module DidwwUps
  class ConfigGenerator < Rails::Generators::Base
    desc "Generates didww_ups.yml config file in application config directory"

    def self.source_root
      @source_root ||= File.join(File.dirname(__FILE__), 'templates')
    end

    def generate_config
      copy_file "didww_ups.yml", "config/didww_ups.yml"
    end

  end
end